summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-ruby/em-websocket/Manifest1
-rw-r--r--dev-ruby/em-websocket/em-websocket-0.5.3.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-ruby/em-websocket/Manifest b/dev-ruby/em-websocket/Manifest
index dca7954e687..264fa5de1ff 100644
--- a/dev-ruby/em-websocket/Manifest
+++ b/dev-ruby/em-websocket/Manifest
@@ -1 +1,2 @@
DIST em-websocket-0.5.2.tar.gz 29367 BLAKE2B 91d41044e20f1f8277527205e3ee6671de2a1fb9b433c18d5b48a166c7cfa53c6553e32b726326f126981f0e014625075bc918b71e00bd8a6919670c370b6cab SHA512 46df705e2af93082884c7ca521df4f6cf33309c441eb3ba96be609b2cf280e3b72c689810d55279db6dbbc178ed843d64ccdaf9d4b39d52ddac7d84956065b06
+DIST em-websocket-0.5.3.tar.gz 29411 BLAKE2B ce38ee1adc9cd49454d74d94130e9d759c631337da9401390fae68210f7b02692a0f23eb5970aa226ab3651e1924a117ac104a01481cc954ca77ab9c27b1e5ac SHA512 28d5cf042899319f50ff0d3b140d75fb281b7e0635118a63df243151c4f442dbabf7dbe15b26b44167d925ed00819b01eeeef110107e4058d8a534f84913b232
diff --git a/dev-ruby/em-websocket/em-websocket-0.5.3.ebuild b/dev-ruby/em-websocket/em-websocket-0.5.3.ebuild
new file mode 100644
index 00000000000..40d23cc7ff3
--- /dev/null
+++ b/dev-ruby/em-websocket/em-websocket-0.5.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="EventMachine based WebSocket server"
+HOMEPAGE="https://rubygems.org/gems/em-websocket"
+SRC_URI="https://github.com/igrigorik/em-websocket/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/eventmachine-0.12.9
+ =dev-ruby/http_parser_rb-0.6*
+"
+
+all_ruby_prepare() {
+ # Avoid dependency on git
+ sed -i -e '/ls-files/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Only run unit tests since we require unpackaged code for the
+ # integration tests.
+ sed -i -e "/^require 'em-\(spec\|http\|websocket-client\)/ s:^:#:" \
+ -e "/^require 'integration/ s:^:#:" spec/helper.rb || die
+ rm -fr spec/integration || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r examples
+}